Bug 85264 - x11-wm/wmii: updated to wmii-2
Summary: x11-wm/wmii: updated to wmii-2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-24 10:00 UTC by Andrew Pogrebennyk
Modified: 2005-09-15 21:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pogrebennyk 2005-08-24 10:00:33 UTC
Window Manager Improved 2 is the next generation of the WMI project.  Due
to a complete rewrite it is highly modularized and uses a new configuration
and inter-process communication interface which is based on the 9p protocol
from the Plan 9 operating system.  It achieves following goals:

  * Reduction of compile time
  * Reduction of memory usage
  * Reduction of lines of code
  * Performance improvements
  * Improved rendering capabilities (optional Cairo)
  * Improved configuration and IPC interface (Libixp)
  * Modularized components

WWW: http://wmi.modprobe.de/

Changes:
  
  * Updated to wmii-2

Port maintainer (danfe@FreeBSD.org) is cc'd.

Fix: begin 644 wmii-2.patch
`



end--gwpIyfDu1jotz6iDQamKw3ijhvzokOu8wctgx35muDwoBrz3
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -u -ruN wmii.old/Makefile wmii/Makefile
--- wmii.old/Makefile	Fri Jun  3 15:06:55 2005
+++ wmii/Makefile	Wed Aug 24 10:56:29 2005
@@ -6,7 +6,7 @@
 #
  
 PORTNAME=	wmii
-DISTVERSION=	1
+DISTVERSION=	2	
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://wmi.modprobe.de/download/
  
@@ -23,8 +23,8 @@
 OPTIONS=	CAIRO	"Enable Cairo rendering backend"	off \
	STRL	"Use strlcpy()/strlcat() functions"	off
				 
-MAN1=		wmibar.1 wmifs.1 wmii.1 wmiinput.1 wmikeys.1 wmiplumb.1 \
-		wmir.1 wmiwarp.1
+MAN1=		wmibar.1 wmifs.1 wmii.1 wmikeys.1 wmimenu.1 \
+		wmir.1
 MAN5=		wmii.rc.5
				   
 .include <bsd.port.pre.mk>
diff -u -ruN wmii.old/distinfo wmii/distinfo
--- wmii.old/distinfo	Thu Jun  2 14:27:59 2005
+++ wmii/distinfo	Wed Aug 24 01:40:58 2005
@@ -1,2 +1,2 @@
-MD5 (wmii-1.tar.bz2) = 160f0f59138df262a9ea9764dfa5655e
-SIZE (wmii-1.tar.bz2) = 71003
+MD5 (wmii-2.tar.bz2) = de5e7838d76c4d52d49a223c6ecf4243 
+SIZE (wmii-2.tar.bz2) = 67004 
diff -u -ruN wmii.old/pkg-plist wmii/pkg-plist
--- wmii.old/pkg-plist	Thu Jun  2 14:27:59 2005
+++ wmii/pkg-plist	Wed Aug 24 11:28:32 2005
@@ -1,19 +1,65 @@
 bin/wmibar
 bin/wmifs
 bin/wmii
-bin/wmiinput
+bin/wmiiwm
 bin/wmikeys
+bin/wmimenu
 bin/wmiplumb
 bin/wmir
+bin/wmira
+bin/wmirefcard
 bin/wmiwarp
-etc/wmii/actions
+etc/wmii/action/actions
+etc/wmii/action/attach
+etc/wmii/action/border
+etc/wmii/action/clientupdate
+etc/wmii/action/close
+etc/wmii/action/cnext
+etc/wmii/action/cprev
+etc/wmii/action/detach
+etc/wmii/action/fnext
+etc/wmii/action/fprev
+etc/wmii/action/fresize
+etc/wmii/action/ftoggle
+etc/wmii/action/icons
+etc/wmii/action/kbare
+etc/wmii/action/kmove
+etc/wmii/action/knorm
+etc/wmii/action/kresize
+etc/wmii/action/lfloat
+etc/wmii/action/lgrid
+etc/wmii/action/lmax
+etc/wmii/action/lock
+etc/wmii/action/ltiled
+etc/wmii/action/lvsplit
+etc/wmii/action/max
+etc/wmii/action/mouse
+etc/wmii/action/p
+etc/wmii/action/pager
+etc/wmii/action/pageupdate
+etc/wmii/action/plumbgoogle
+etc/wmii/action/plumburl
+etc/wmii/action/pnew
+etc/wmii/action/pnext
+etc/wmii/action/pprev
+etc/wmii/action/premove
+etc/wmii/action/presize
+etc/wmii/action/programs
+etc/wmii/action/ptoggle
+etc/wmii/action/quit
+etc/wmii/action/scr
+etc/wmii/action/tab
+etc/wmii/action/term
+etc/wmii/action/www
+etc/wmii/action/zoom
 etc/wmii/bar
-etc/wmii/input
 etc/wmii/keys
+etc/wmii/menu
 etc/wmii/rc
 etc/wmii/rc.conf
 etc/wmii/status.sh
-etc/wmii/wmii
-@dirrm etc/wmii
+etc/wmii/wm
 %%DATADIR%%/welcome.txt
-@dirrm %%DATADIR%%
+@dirrm %%DATADIR%% 
+@dirrm etc/wmii/action
+@dirrm etc/wmii
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-08-25 20:39:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer.
Comment 2 Alexey Dokuchaev freebsd_committer 2005-09-15 21:47:11 UTC
State Changed
From-To: open->closed

Committed, thanks!